# TEXIO PSW-360L30 Power Supply

class pymeasure.instruments.texio.TexioPSW360L30(adapter, name='TEXIO PSW-360L30 Power Supply', **kwargs)

  Bases: `Keithley2260B`

  Represents the TEXIO PSW-360L30 Power Supply (minimal implementation) and provides a high-level interface for interacting with the instrument.

  For a connection through tcpip, the device only accepts connections at port 2268, which cannot be configured otherwise. example connection string: ‘TCPIP::xxx.xxx.xxx.xxx::2268::SOCKET’

  For a connection through USB on Linux, the kernel is going to create a /dev/ttyACMX device automatically. The serial connection properties are fixed at 9600–8-N-1.

  The read termination for this interface is Line-Feed n.

  This driver inherits from the Keithley2260B one. All instructions implemented in the Keithley 2260B driver are also available for the TEXIO PSW-360L30 power supply.

  The only addition is the “output” property that is just an alias for the “enabled” property of the Keithley 2260B. Calling the output switch “enabled” is confusing because it is not clear if the whole device is enabled/disable or only the output.

      source = TexioPSW360L30("TCPIP::xxx.xxx.xxx.xxx::2268::SOCKET")
      source.voltage = 1
      print(source.voltage)
      print(source.current)
      print(source.power)
      print(source.applied)

  property applied

    Control voltage (volts) and current (amps) simultaneously. Values need to be supplied as tuple of (voltage, current). Depending on whether the instrument is in constant current or constant voltage mode, the values achieved by the instrument will differ from the ones set.

  check_errors()

    Logs any system errors reported by the instrument.

  check_get_errors()

    Check for errors after having gotten a property and log them.

    Called if `check_get_errors=True` is set for that property.

    If you override this method, you may choose to raise an Exception for certain errors.

    Returns:

      List of error entries.

  check_set_errors()

    Check for errors after having set a property and log them.

    Called if `check_set_errors=True` is set for that property.

    If you override this method, you may choose to raise an Exception for certain errors.

    Returns:

      List of error entries.

  clear()

    Clear the instrument status byte.

  property complete

    Get the synchronization bit.

    This property allows synchronization between a controller and a device. The Operation Complete query places an ASCII character 1 into the device’s Output Queue when all pending selected device operations have been finished.

  property current

    Get the current (in Ampere) the dc power supply is putting out.

  property current_limit

    Control the source current in amps. This is not checked against the allowed range. Depending on whether the instrument is in constant current or constant voltage mode, this might differ from the actual current achieved. (float)

  property enabled

    Control whether the output is enabled, see `output_enabled`.

  property error

    Get the next error of the instrument (list of code and message).

  property id

    Get the identification of the instrument.

  property next_error

    Get the next error in the queue. If you want to read and log all errors, use `check_errors()` instead.

  property options

    Get the device options installed.

  property output_enabled

    Control whether the source is enabled, takes values True or False. (bool)

  property power

    Get the power (in Watt) the dc power supply is putting out.

  read(**kwargs)

    Read up to (excluding) read_termination or the whole read buffer.

  read_binary_values(**kwargs)

    Read binary values from the device.

  read_bytes(count, **kwargs)

    Read a certain number of bytes from the instrument.

    Parameters:

      - count (int) – Number of bytes to read. A value of -1 indicates to read the whole read buffer.

      - kwargs – Keyword arguments for the adapter.

    Returns bytes:

      Bytes response of the instrument (including termination).

  reset()

    Reset the instrument.

  shutdown()

    Disable output, call parent function

  property status

    Get the status byte and Master Summary Status bit.

  property voltage

    Get the voltage (in Volt) the dc power supply is putting out.

  property voltage_setpoint

    Control the source voltage in volts. This is not checked against the allowed range. Depending on whether the instrument is in constant current or constant voltage mode, this might differ from the actual voltage achieved. (float)

  wait_for(query_delay=None)

    Wait for some time. Used by ‘ask’ to wait before reading.

    Parameters:

      query_delay – Delay between writing and reading in seconds. None is default delay.

  write(command, **kwargs)

    Write a string command to the instrument appending write_termination.

    Parameters:

      - command – command string to be sent to the instrument

      - kwargs – Keyword arguments for the adapter.

  write_binary_values(command, values, *args, **kwargs)

    Write binary values to the device.

    Parameters:

      - command – Command to send.

      - values – The values to transmit.

      - **kwargs (*args,) – Further arguments to hand to the Adapter.

  write_bytes(content, **kwargs)

    Write the bytes content to the instrument.